Package org.eclipse.m2m.atl.emftvm.launcher

# Interface EMFTVMLaunchConstants

public interface EMFTVMLaunchConstants
Constants for launching EMFTVM transformations in the Eclipse UI.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISABLE_JIT`
Disable JIT compiler.
`static final String`
`DISPLAY_TIMING`
Display Timing Data.
`static final String`
`INOUT_MODEL_OPTIONS`
Inout Model Options.
`static final String`
`INOUT_MODELS`
Inout Models.
`static final String`
`INOUT_OUT_MODELS`
Inout Models Output Locations.
`static final String`
`INPUT_MODEL_OPTIONS`
Input Model Options.
`static final String`
`INPUT_MODELS`
Input Models.
`static final String`
`LAUNCH_CONFIGURATION_TYPE`
The EMFTVM launch configuration ID.
`static final String`
`METAMODEL_OPTIONS`
Metamodel Options.
`static final String`
`METAMODELS`
Metamodels.
`static final String`
`MODULE_FILE_NAME`
Module File Name.
`static final String`
`MODULE_NAME`
Module Name.
`static final String`
`MODULE_PATH`
Module Path.
`static final String`
`OPT_ALLOW_INTER_MODEL_REFERENCES`
allowInterModelReferences.
`static final String`
`OPT_CREATE_NEW_MODEL`
createNewModel.
`static final String`
`OPT_DERIVED_FILE`
derivedFile.
`static final String`
`OPT_IS_METAMETAMODEL`
isMetametamodel.
`static final String`
`OUTPUT_MODEL_OPTIONS`
Output Model Options.
`static final String`
`OUTPUT_MODELS`
Output Models.
`static final String`
`PROFILE`
Display Profiling Data.

## Field Details

### LAUNCH_CONFIGURATION_TYPE

static final String LAUNCH_CONFIGURATION_TYPE
The EMFTVM launch configuration ID.

See Also:
  - Constant Field Values

### MODULE_FILE_NAME

static final String MODULE_FILE_NAME
Module File Name.

See Also:
  - Constant Field Values

### MODULE_NAME

static final String MODULE_NAME
Module Name.

See Also:
  - Constant Field Values

### MODULE_PATH

static final String MODULE_PATH
Module Path.

See Also:
  - Constant Field Values

### METAMODELS

static final String METAMODELS
Metamodels.

See Also:
  - Constant Field Values

### INPUT_MODELS

static final String INPUT_MODELS
Input Models.

See Also:
  - Constant Field Values

### INOUT_MODELS

static final String INOUT_MODELS
Inout Models.

See Also:
  - Constant Field Values

### INOUT_OUT_MODELS

static final String INOUT_OUT_MODELS
Inout Models Output Locations.

See Also:
  - Constant Field Values

### OUTPUT_MODELS

static final String OUTPUT_MODELS
Output Models.

See Also:
  - Constant Field Values

### DISPLAY_TIMING

static final String DISPLAY_TIMING
Display Timing Data.

See Also:
  - Constant Field Values

### DISABLE_JIT

static final String DISABLE_JIT
Disable JIT compiler.

See Also:
  - Constant Field Values

### PROFILE

static final String PROFILE
Display Profiling Data.

See Also:
  - Constant Field Values

### METAMODEL_OPTIONS

static final String METAMODEL_OPTIONS
Metamodel Options.

See Also:
  - Constant Field Values

### INPUT_MODEL_OPTIONS

static final String INPUT_MODEL_OPTIONS
Input Model Options.

See Also:
  - Constant Field Values

### INOUT_MODEL_OPTIONS

static final String INOUT_MODEL_OPTIONS
Inout Model Options.

See Also:
  - Constant Field Values

### OUTPUT_MODEL_OPTIONS

static final String OUTPUT_MODEL_OPTIONS
Output Model Options.

See Also:
  - Constant Field Values

### OPT_IS_METAMETAMODEL

static final String OPT_IS_METAMETAMODEL
isMetametamodel.

See Also:
  - Constant Field Values

### OPT_ALLOW_INTER_MODEL_REFERENCES

static final String OPT_ALLOW_INTER_MODEL_REFERENCES
allowInterModelReferences.

See Also:
  - Constant Field Values

### OPT_DERIVED_FILE

static final String OPT_DERIVED_FILE
derivedFile.

See Also:
  - Constant Field Values

### OPT_CREATE_NEW_MODEL

static final String OPT_CREATE_NEW_MODEL
createNewModel.

See Also:
  - Constant Field Values